Categories:
  - Internet
License: GPL-3.0-or-later
AuthorName: nekohasekai
AuthorEmail: sekai@neko.services
WebSite: https://sagernet.org/
SourceCode: https://github.com/SagerNet/SagerNet
IssueTracker: https://github.com/SagerNet/SagerNet/issues
Translation: https://hosted.weblate.org/projects/sagernet/
Changelog: https://sagernet.org/#changelog

AutoName: SagerNet

RepoType: git
Repo: https://github.com/SagerNet/SagerNet

Builds:
  - versionName: 0.1-rc17-x86
    versionCode: 57
    commit: 0.1-rc17
    subdir: app
    gradle:
      - fdroidX86
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.1-rc17-x64
    versionCode: 58
    commit: 0.1-rc17
    subdir: app
    gradle:
      - fdroidX64
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.1-rc17-arm
    versionCode: 59
    commit: 0.1-rc17
    subdir: app
    gradle:
      - fdroidArm
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.1-rc17-arm64
    versionCode: 60
    commit: 0.1-rc17
    subdir: app
    gradle:
      - fdroidArm64
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.2-rc01-x86
    versionCode: 277
    commit: 0.2-rc01
    subdir: app
    gradle:
      - fdroidX86
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.2-rc01-x64
    versionCode: 278
    commit: 0.2-rc01
    subdir: app
    gradle:
      - fdroidX64
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.2-rc01-arm
    versionCode: 279
    commit: 0.2-rc01
    subdir: app
    gradle:
      - fdroidArm
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.2-rc01-arm64
    versionCode: 280
    commit: 0.2-rc01
    subdir: app
    gradle:
      - fdroidArm64
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.2-rc03-x86
    versionCode: 282
    commit: 0.2-rc03
    subdir: app
    gradle:
      - fdroidX86
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.2-rc03-x64
    versionCode: 283
    commit: 0.2-rc03
    subdir: app
    gradle:
      - fdroidX64
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.2-rc03-arm
    versionCode: 284
    commit: 0.2-rc03
    subdir: app
    gradle:
      - fdroidArm
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.2-rc03-arm64
    versionCode: 285
    commit: 0.2-rc03
    subdir: app
    gradle:
      - fdroidArm64
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.5-rc23
    versionCode: 590
    commit: 0.5-rc23
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - disable-splits-abi.patch
    gradle:
      - fdroid
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.5-rc24
    versionCode: 595
    commit: a3c77c9f1a5bdced982c440679d5e8e4fbeb8c19
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - disable-splits-abi.patch
    gradle:
      - fdroid
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - library
      - external
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21e

  - versionName: 0.6-beta09
    versionCode: 635
    commit: c7b39544e1da792815d2c03fe8916d7d0287ec61
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - disable-splits-abi.patch
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.6-beta10
    versionCode: 640
    commit: 986ae04a9017a06f2faebfbff8afe71572564ea0
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - disable-splits-abi.patch
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.6-beta11
    versionCode: 645
    commit: 8ca03ae1b3a28570ac6536672cd5969242a55ee8
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - disable-splits-abi.patch
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.6-beta12
    versionCode: 650
    commit: a5834b019b5d9f8e300ee9887f26f313b362ed6a
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - disable-splits-abi.patch
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.6-beta13
    versionCode: 655
    commit: 284112a60b2daf28d9b612be0d4d399e025519c4
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - disable-splits-abi.patch
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.6-beta14
    versionCode: 660
    commit: b6278c36cc719e3a92153cd4eb65348923f05ee3
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - disable-splits-abi.patch
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.6-beta16
    versionCode: 670
    commit: 7dfdc7ff622c443406d22a688689483a491066ac
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.6-beta18
    versionCode: 680
    commit: a6e243f78a6f3a71a52a03fb98d679c142d4a36b
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.6-beta19
    versionCode: 685
    commit: 49bbb9f5e918bb7cb648b432af3dbceaff71b456
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.6-beta20
    versionCode: 690
    commit: a950b92448806bdaa4e382c4d20b844e8d7020f5
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.6-rc02
    versionCode: 700
    commit: a07b8387714e34cfc32824a71af2a712a62d87dc
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.6-rc03
    versionCode: 705
    commit: 4a08a505b87de8ddb45ebe3cf612af731141fef1
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.6-rc04
    versionCode: 710
    commit: e5e5ddb9961b9518a66e908d6c4a85a017a3be9f
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.7-beta02
    versionCode: 720
    commit: c964a0064d82456f230e5b2f3d131aa650f5b346
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.7-beta03
    versionCode: 725
    commit: 174257e1520933f17f77879692bf7f644b303f89
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.7-rc02
    versionCode: 750
    commit: 82cc9fde7e4de5e4244845e34ea3b2f3f32e0f7b
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.7-rc04
    versionCode: 760
    commit: e562890ad7531a722421373ef4a4e40e4dc1d2ea
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.7-rc05
    versionCode: 765
    commit: a84b9ddcba9fba4d008b4473baa15fb31453898f
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.7-rc06
    versionCode: 767
    commit: a5d5e1647791dde25943445643c9c8703f39fbdf
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.7-rc07
    versionCode: 771
    commit: a13465535c4a0c500778100715be93af9a86c914
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.7-rc08
    versionCode: 773
    commit: 406b497813405972029c7888ca8d5c47b4fa5768
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.7-rc09
    versionCode: 775
    commit: 551e8402828e8862ef2cdf9e0dae77d35eb3d195
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.7-rc10
    versionCode: 777
    commit: 9af61f3ceb1d12445966d13e428831aa5eea640e
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.7-rc11
    versionCode: 779
    commit: fb02f2172d628a23ae710ce4e39a52829d565b65
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.8-beta01
    versionCode: 781
    commit: c8202122f57b39bf8e64dbca42f511d99b19162e
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.8-beta02
    versionCode: 783
    commit: 3e816628d5b5dfa639c05a2fd3670e761f293f9d
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.8-beta03
    versionCode: 785
    commit: 7e973bcb55882480647869422b64236bf1b4261b
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.8-beta05
    versionCode: 789
    commit: 71fe6fb8717081bfeefc3f058f6eacc9d1c7c296
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

  - versionName: 0.8-beta06
    versionCode: 791
    commit: 3c305fecfeb97084e7ae3da8ca431faa8f1cf139
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild:
      - cd ..
      - ./run fdroid prebuild
    scandelete:
      - external
      - plugin
    build:
      - cd ..
      - ./run fdroid build
    ndk: r23b

AutoUpdateMode: Version
UpdateCheckMode: Tags ^\d.*
VercodeOperation: 459 + %c * 2
UpdateCheckData: sager.properties|VERSION_CODE=(\d+)||
CurrentVersion: 0.8-beta06
CurrentVersionCode: 791
